plugin: gcp_compute
auth_kind: serviceaccount
projects:
  - dev-import-metrics-1fd5a570
filters:
  - labels.gitlab_node_prefix = import-metrics-2k
keyed_groups:
  - key: labels.gitlab_node_type
    separator: ""
  - key: labels.gitlab_node_level
    separator: ""
scopes:
  - https://www.googleapis.com/auth/compute
hostnames:
  # List host by name instead of the default public ip
  - name
compose:
  # Set an inventory parameter to use the Public IP address to connect to the host
  # For Private ip use "networkInterfaces[0].networkIP"
  ansible_host: networkInterfaces[0].accessConfigs[0].natIP
